IcedTea-Web Plugin

## sun.applet
Class MethodOverloadResolver

    java.lang.Object
      sun.applet.MethodOverloadResolver

    public class MethodOverloadResolver

extends java.lang.Object

Constructor Summary
`MethodOverloadResolver()`

Method Summary
`static sun.applet.MethodOverloadResolver.ResolvedMethod` `getBestMatchConstructor(java.lang.Class<?> c, java.lang.Object[] args)`
`static sun.applet.MethodOverloadResolver.ResolvedMethod` `getBestMatchMethod(java.lang.Class<?> c, java.lang.String methodName, java.lang.Object[] args)`
`static sun.applet.MethodOverloadResolver.WeightedCast` `getCostAndCastedObject(java.lang.Object suppliedParam, java.lang.Class<?> paramTypeClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodOverloadResolver

    public MethodOverloadResolver()

Method Detail

### getBestMatchMethod

    public static sun.applet.MethodOverloadResolver.ResolvedMethod getBestMatchMethod(java.lang.Class<?> c,
                                                                                      java.lang.String methodName,
                                                                                      java.lang.Object[] args)

### getBestMatchConstructor

    public static sun.applet.MethodOverloadResolver.ResolvedMethod getBestMatchConstructor(java.lang.Class<?> c,
                                                                                           java.lang.Object[] args)

### getCostAndCastedObject

    public static sun.applet.MethodOverloadResolver.WeightedCast getCostAndCastedObject(java.lang.Object suppliedParam,
                                                                                        java.lang.Class<?> paramTypeClass)

IcedTea-Web Plugin

Submit a bug or feature